| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessFPREstimator Struct Referenceabstract

FPR Liveness estimator interface. More...

`#include <ILivenessFPREstimator.h>`

Inheritance diagram for fsdk::ILivenessFPREstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, const Landmarks5 &landmarks5, bool useJpegCompression, LivenessFPREstimation &estimation) const noexcept=0
| Helps to check if person is real or not. More...
virtual Image | getCompressedWarp () const =0
virtual void | setCompressedWarp (const Image &warp) const =0
virtual void | clearCompessedWarp () const =0
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

FPR Liveness estimator interface.

Note
  This estimator is designed for liveness detection.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessFPREstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | const Landmarks5 & | landmarks5,
|  | bool | useJpegCompression,
|  | LivenessFPREstimation & | estimation
| ) |  | const
| pure virtual noexcept

Helps to check if person is real or not.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.
  [in] | landmarks5 | Landmarks5 structure.
  [in] | useJpegCompression | true if using jpeg compression.
  [out] | estimation | estimation score.

Returns
  Result with error code.

See Also
  LivenessFPREstimation, Landmarks, Detection, Image, Result and FSDKError for details.

Note
  estimation score normalized between 0.0 and 1.0, where 1.0 equals to 100% confidence that person is real, and 0.0 equals to 0%.
  image format must be R8G8B8,

See Also
  Format.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessFPREstimator.h